//
//  MSTPreferencePane.h
//  MSTPrefsFramework
//
//  Created by Christian Weykopf on 06.06.06.
//  Copyright 2006 Meilenstein Software GmbH. All rights reserved.
//

#import <Cocoa/Cocoa.h>


@interface MSTPreferencePane : NSObject
{
    IBOutlet NSView      *_paneView;
    NSString    *_paneName;
    NSImage     *_paneIcon;
    NSString    *_paneToolTip;
    BOOL        _allowsHorizontalResizing;
    BOOL        _allowsVerticalResizing;
    id          _controller;
}

- (id) initWithName:(NSString*)name tooltip:(NSString*)tooltip;

- (NSView *)preferencePaneView;
- (NSString *)preferencePaneName;
- (NSImage *)preferencePaneIcon;
- (NSString *)preferencePaneToolTip;
- (BOOL)preferenceAllowsHorizontalResizing;
- (BOOL)preferenceAllowsVerticalResizing;

- (void)becomeKeyPane;
- (void)resignKeyPane;
- (void)paneDidActivate;    // is called once on initialization from preferences controller
- (void)willUnselect;
- (void)didUnselect;
- (void)willSelect;
- (void)didSelect;

- (NSView *) paneView;
- (void) setPaneView: (NSView *) aPaneView;
- (NSString *) paneName;
- (void) setPaneName: (NSString *) aPaneName;
- (NSImage *) paneIcon;
- (void) setPaneIcon: (NSImage *) aPaneIcon;
- (NSString *) paneToolTip;
- (void) setPaneToolTip: (NSString *) aPaneToolTip;
- (BOOL) allowsHorizontalResizing;
- (void) setAllowsHorizontalResizing: (BOOL) flag;
- (BOOL) allowsVerticalResizing;
- (void) setAllowsVerticalResizing: (BOOL) flag;
- (id) controller;
- (void) setController: (id)value;

@end
