//
//  UcpServer.h
//  UCPFramework
//
//  Created by Christian Weykopf on 21.09.09.
//  Copyright 2009 STARFACE GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>

@class XMPPConnection;
@class UCPClient;

@interface UCPServer : NSObject
{
    NSMutableDictionary *_serverStore;
    id _delegate;
    XMPPConnection *_xmppConnection;
    UCPClient *_ucpClient;
}

@property (retain) NSMutableDictionary *serverStore;
@property (assign) id delegate;
@property (retain) XMPPConnection *xmppConnection;
@property (retain) UCPClient *ucpClient;

- (id) initWithDelegate: (id)delegate;

- (void) addServerClass: (Class)serverClass;

// Attention follows creation rules
// client is not autoreleased
- (UCPClient *)createUcpClient;

@end
